summaryrefslogtreecommitdiff
path: root/dev-util/cppunit
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-util/cppunit
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-util/cppunit')
-rw-r--r--dev-util/cppunit/Manifest1
-rw-r--r--dev-util/cppunit/cppunit-1.14.0.ebuild67
-rw-r--r--dev-util/cppunit/cppunit-9999.ebuild67
-rw-r--r--dev-util/cppunit/metadata.xml6
4 files changed, 141 insertions, 0 deletions
diff --git a/dev-util/cppunit/Manifest b/dev-util/cppunit/Manifest
new file mode 100644
index 000000000000..624a7099190e
--- /dev/null
+++ b/dev-util/cppunit/Manifest
@@ -0,0 +1 @@
+DIST cppunit-1.14.0.tar.gz 959716 BLAKE2B 581e3b73d6d152c249005ddf267100443e6c9cba12c52c43e9d6f81096b9cd13c3686fa2f73ebaf28c31193e41dbfd5d919dfb0143b190881345da65a5b7f86d SHA512 4ea1da423c6f7ab37e4144689f593396829ce74d43872d6b10709c1ad5fbda4ee945842f7e9803592520ef81ac713e95a3fe130295bf048cd32a605d1959882e
diff --git a/dev-util/cppunit/cppunit-1.14.0.ebuild b/dev-util/cppunit/cppunit-1.14.0.ebuild
new file mode 100644
index 000000000000..9b642afa8c03
--- /dev/null
+++ b/dev-util/cppunit/cppunit-1.14.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_REPO_URI="https://anongit.freedesktop.org/git/libreoffice/cppunit.git"
+[[ ${PV} = 9999 ]] && inherit git-r3 autotools
+inherit flag-o-matic multilib-minimal
+
+DESCRIPTION="C++ port of the famous JUnit framework for unit testing"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/cppunit"
+[[ ${PV} = 9999 ]] || SRC_URI="https://dev-www.libreoffice.org/src/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+[[ ${PV} = 9999 ]] || \
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ doc? (
+ app-doc/doxygen[dot]
+ media-gfx/graphviz
+ )
+"
+
+DOCS=( AUTHORS BUGS NEWS README THANKS TODO doc/FAQ )
+[[ ${PV} = 9999 ]] || DOCS+=( ChangeLog )
+
+src_prepare() {
+ default
+ [[ ${PV} = 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ # Anything else than -O0 breaks on alpha
+ use alpha && replace-flags "-O?" -O0
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ $(use_enable static-libs static) \
+ $(multilib_native_use_enable doc doxygen) \
+ $(multilib_native_use_enable doc dot) \
+ --disable-werror
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ mv "${ED%/}"/usr/share/${PN}/html "${ED%/}"/usr/share/doc/${PF} || die
+ rm -r "${ED%/}"/usr/share/${PN} || die
+ fi
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+
+ if use examples ; then
+ find examples -iname "*.o" -delete
+ insinto /usr/share/${PN}
+ doins -r examples
+ fi
+}
diff --git a/dev-util/cppunit/cppunit-9999.ebuild b/dev-util/cppunit/cppunit-9999.ebuild
new file mode 100644
index 000000000000..67412215d5fa
--- /dev/null
+++ b/dev-util/cppunit/cppunit-9999.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_REPO_URI="https://anongit.freedesktop.org/git/libreoffice/cppunit.git"
+[[ ${PV} = 9999 ]] && inherit git-r3 autotools
+inherit flag-o-matic multilib-minimal
+
+DESCRIPTION="C++ port of the famous JUnit framework for unit testing"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/cppunit"
+[[ ${PV} = 9999 ]] || SRC_URI="https://dev-www.libreoffice.org/src/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+[[ ${PV} = 9999 ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ doc? (
+ app-doc/doxygen[dot]
+ media-gfx/graphviz
+ )
+"
+
+DOCS=( AUTHORS BUGS NEWS README THANKS TODO doc/FAQ )
+[[ ${PV} = 9999 ]] || DOCS+=( ChangeLog )
+
+src_prepare() {
+ default
+ [[ ${PV} = 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ # Anything else than -O0 breaks on alpha
+ use alpha && replace-flags "-O?" -O0
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ $(use_enable static-libs static) \
+ $(multilib_native_use_enable doc doxygen) \
+ $(multilib_native_use_enable doc dot) \
+ --disable-werror
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ mv "${ED%/}"/usr/share/${PN}/html "${ED%/}"/usr/share/doc/${PF} || die
+ rm -r "${ED%/}"/usr/share/${PN} || die
+ fi
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+
+ if use examples ; then
+ find examples -iname "*.o" -delete
+ insinto /usr/share/${PN}
+ doins -r examples
+ fi
+}
diff --git a/dev-util/cppunit/metadata.xml b/dev-util/cppunit/metadata.xml
new file mode 100644
index 000000000000..d85b4252fc33
--- /dev/null
+++ b/dev-util/cppunit/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+ <origin>gentoo-staging</origin>
+</pkgmetadata>